routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('nasabah')->group(function () {
    Route::get('/login', [App\Http\Controllers\Auth\AuthPelangganController::class, 'login'])->name('login.nasabah');
    Route::post('/login', [App\Http\Controllers\Auth\AuthPelangganController::class, 'postLogin'])->name('login.post.nasabah');
    Route::get('/register', [App\Http\Controllers\Auth\AuthPelangganController::class, 'register'])->name('register.nasabah');
    Route::post('/register', [App\Http\Controllers\Auth\AuthPelangganController::class, 'postRegister'])->name('register.post.nasabah');
    Route::post('/logout', [App\Http\Controllers\Auth\AuthPelangganController::class, 'logout'])->name('logout.nasabah');
});

Route::prefix('petugas')->group(function () {
    Route::get('/login', [App\Http\Controllers\Auth\AuthPetugasController::class, 'login'])->name('login.petugas');
    Route::post('/login', [App\Http\Controllers\Auth\AuthPetugasController::class, 'postLogin'])->name('login.post.petugas');
    Route::post('/logout', [App\Http\Controllers\Auth\AuthPetugasController::class, 'logout'])->name('logout.petugas');
});

Route::get('/', function () {
    return view('welcome');
});

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Auth::routes();
Route::resource('nasabahs', App\Http\Controllers\NasabahController::class);
Route::resource('petugas', App\Http\Controllers\PetugasController::class);
Route::resource('jenisSampahs', App\Http\Controllers\JenisSampahController::class);
Route::resource('bukuTabungans', App\Http\Controllers\BukuTabunganController::class);
Route::resource('setorans', App\Http\Controllers\SetoranController::class);
Route::resource('bayarJasas', App\Http\Controllers\BayarJasaController::class);
Route::resource('sampahs', App\Http\Controllers\SampahController::class);
Route::resource('sampahMasuks', App\Http\Controllers\SampahMasukController::class);
Route::prefix('setoran')->group(function () {
    Route::get('/', [App\Http\Controllers\SetoranController::class, 'index'])->name('setoran.index');
    Route::get('/create', [App\Http\Controllers\SetoranController::class, 'create'])->name('setoran.create');
    Route::post('/store', [App\Http\Controllers\SetoranController::class, 'store'])->name('setoran.store');
});
Route::prefix('bayarjasa')->group(function () {
    Route::get('/', [App\Http\Controllers\BayarJasaController::class, 'index'])->name('bayarjasa.index');
    Route::get('/create', [App\Http\Controllers\BayarJasaController::class, 'create'])->name('bayarjasa.create');
    Route::post('/store', [App\Http\Controllers\BayarJasaController::class, 'store'])->name('bayarjasa.store');
});

app/Http/Controllers/BayarJasaController.php
<?php

namespace App\Http\Controllers;

use App\Models\BukuTabungan;
use CreateBukuTabungansTable;
use Illuminate\Http\Request;
use Laracasts\Flash\Flash;

class BayarJasaController extends Controller
{
    public function __construct()
    {
        $this->bukuTabungan = new BukuTabungan();
    }
    /**
     * Display a listing of the BukuTabungan.
     *
     * @param Request $request
     *
     * @return Response
     */
    public function index(Request $request)
    {
        /** @var BukuTabungan $bukuTabungans */
        $bukuTabungans = BukuTabungan::all();

        return view('bayar_jasas.index')
            ->with('bukuTabungans', $bukuTabungans);
    }

    /**
     * Show the form for creating a new BukuTabungan.
     *
     * @return Response
     */
    public function create()
    {
        $jenisTransaksis = $this->bukuTabungan->jenis_transaksis;
        return view('bayar_jasas.create', compact('jenisTransaksis'));
    }

    /**
     * Store a newly created BukuTabungan in storage.
     *
     * @param CreateBukuTabunganRequest $request
     *
     * @return Response
     */
    public function store(CreateBukuTabungansTable $request)
    {
        $input = $request->all();
        $bayarJasaPaid
            = BukuTabungan::where('nasabah_id', $request->nasabah_id)->whereMonth('created_at', '=', date('m'))->update(['jenis_transaksi' => 'bayar jasa'])->first();
        if ($bayarJasaPaid != null) {

            /** @var BukuTabungan $bukuTabungan */
            $bukuTabungan = BukuTabungan::create($input);
            Flash::success('Bayar Jasa Nasabah ' . $bukuTabungan->nasabah->nama . ' Berhasil ditambahkan pada bulan ' . date('F'));

            return redirect(route('bayarJasa.index'));
        } else {
            Flash::error('Bayar Jasa ' . $request->nasabah_id . ' sudah terbayar pada bulan ' . date('F'));
            return redirect(route('bayarJasa.index'));
        }
    }
}

resources/views/bayar_jasas/create.blade.php
@extends('layouts.app')
@section('title')
    Create Buku Tabungan 
@endsection
@section('content')
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading m-0">New Buku Tabungan</h3>
            <div class="filter-container section-header-breadcrumb row justify-content-md-end">
                <a href="{{ route('bukuTabungans.index') }}" class="btn btn-primary">Back</a>
            </div>
        </div>
        <div class="content">
            @include('stisla-templates::common.errors')
            <div class="section-body">
               <div class="row">
                   <div class="col-lg-12">
                       <div class="card">
                           <div class="card-body ">
                                {!! Form::open(['route' => 'bukuTabungans.store']) !!}
                                    <div class="row">
                                        @include('buku_tabungans.fields')
                                    </div>
                                {!! Form::close() !!}
                           </div>
                       </div>
                   </div>
               </div>
            </div>
        </div>
    </section>
@endsection

resources/views/bayar_jasas/edit.blade.php
@extends('layouts.app')
@section('title')
    Edit Buku Tabungan 
@endsection
@section('content')
    <section class="section">
            <div class="section-header">
                <h3 class="page__heading m-0">Edit Buku Tabungan</h3>
                <div class="filter-container section-header-breadcrumb row justify-content-md-end">
                    <a href="{{ route('bukuTabungans.index') }}"  class="btn btn-primary">Back</a>
                </div>
            </div>
  <div class="content">
              @include('stisla-templates::common.errors')
              <div class="section-body">
                 <div class="row">
                     <div class="col-lg-12">
                         <div class="card">
                             <div class="card-body ">
                                    {!! Form::model($bukuTabungan, ['route' => ['bukuTabungans.update', $bukuTabungan->id], 'method' => 'patch']) !!}
                                        <div class="row">
                                            @include('buku_tabungans.fields')
                                        </div>

                                    {!! Form::close() !!}
                            </div>
                         </div>
                    </div>
                 </div>
              </div>
   </div>
  </section>
@endsection

resources/views/bayar_jasas/fields.blade.php
<!-- Jumlah Field -->
<div class="form-group col-sm-6">
    {!! Form::label('jenis_transaksi', 'Jenis Transaksi:') !!}
    {!! Form::select('jenis_transaksi', $jenisTransaksis, null, ['class' => 'form-control']) !!}
</div>
<div class="form-group col-sm-6">
    {!! Form::label('jumlah', 'Jumlah:') !!}
    {!! Form::number('jumlah', null, ['class' => 'form-control']) !!}
</div>

<!-- Submit Field -->
<div class="form-group col-sm-12">
    {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
    <a href="{{ route('bukuTabungans.index') }}" class="btn btn-light">Cancel</a>
</div>

resources/views/bayar_jasas/index.blade.php
@extends('layouts.app')
@section('title')
    Buku Tabungans 
@endsection
@section('content')
    <section class="section">
        <div class="section-header">
            <h1>Buku Tabungans</h1>
            <div class="section-header-breadcrumb">
                <a href="{{ route('bukuTabungans.create')}}" class="btn btn-primary form-btn">Buku Tabungan <i class="fas fa-plus"></i></a>
            </div>
        </div>
    <div class="section-body">
       <div class="card">
            <div class="card-body">
                @include('buku_tabungans.table')
            </div>
       </div>
   </div>
    
    </section>
@endsection

resources/views/bayar_jasas/show.blade.php
@extends('layouts.app')
@section('title')
    Buku Tabungan Details 
@endsection
@section('content')
    <section class="section">
        <div class="section-header">
        <h1>Buku Tabungan Details</h1>
        <div class="section-header-breadcrumb">
            <a href="{{ route('bukuTabungans.index') }}"
                 class="btn btn-primary form-btn float-right">Back</a>
        </div>
      </div>
   @include('stisla-templates::common.errors')
    <div class="section-body">
           <div class="card">
            <div class="card-body">
                    @include('buku_tabungans.show_fields')
            </div>
            </div>
    </div>
    </section>
@endsection

resources/views/bayar_jasas/show_fields.blade.php
<!-- Nasabah Id Field -->
<div class="form-group">
    {!! Form::label('nasabah_id', 'Nasabah Id:') !!}
    <p>{{ $bukuTabungan->nasabah_id }}</p>
</div>

<!-- Petugas Id Field -->
<div class="form-group">
    {!! Form::label('petugas_id', 'Petugas Id:') !!}
    <p>{{ $bukuTabungan->petugas_id }}</p>
</div>

<!-- Jenis Transaksi Field -->
<div class="form-group">
    {!! Form::label('jenis_transaksi', 'Jenis Transaksi:') !!}
    <p>{{ $bukuTabungan->jenis_transaksi }}</p>
</div>

<!-- Jumlah Field -->
<div class="form-group">
    {!! Form::label('jumlah', 'Jumlah:') !!}
    <p>{{ $bukuTabungan->jumlah }}</p>
</div>

resources/views/bayar_jasas/table.blade.php
<div class="table-responsive">
    <table class="table" id="bukuTabungans-table">
        <thead>
            <tr>
                <th>Nasabah</th>
                <th>Petugas</th>
                <th>Jenis Transaksi</th>
                <th>Jumlah</th>
                <th colspan="3">Action</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($bukuTabungans as $bukuTabungan)
                <tr>
                    <td>{{ $bukuTabungan->nasabah->nama }}</td>
                    <td>{{ $bukuTabungan->petugas->nama }}</td>
                    <td>{{ $bukuTabungan->jenis_transaksi }}</td>
                    <td>{{ $bukuTabungan->jumlah }}</td>
                    <td class=" text-center">
                        {!! Form::open(['route' => ['bukuTabungans.destroy', $bukuTabungan->id], 'method' => 'delete']) !!}
                        <div class='btn-group'>
                            <a href="{!! route('bukuTabungans.show', [$bukuTabungan->id]) !!}" class='btn btn-light action-btn '><i
                                    class="fa fa-eye"></i></a>
                            <a href="{!! route('bukuTabungans.edit', [$bukuTabungan->id]) !!}" class='btn btn-warning action-btn edit-btn'><i
                                    class="fa fa-edit"></i></a>
                            {!! Form::button('<i class="fa fa-trash"></i>', [
                                'type' => 'submit',
                                'class' => 'btn btn-danger action-btn delete-btn',
                                'onclick' => 'return confirm("Are you sure want to delete this record ?")',
                            ]) !!}
                        </div>
                        {!! Form::close() !!}
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>